System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.ControlBuilder

This class is used primarily for control developers. To create a custom control builder for a derived control, you need to inherit from this class.

Interacts with the parser to build a control.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The method overrides the inherited implementation of the method to always indicate that white spaces in the text that are associated with the control are not represented by objects.

  Determines whether the control builder should process the white space literals that are represented by the control.

  false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  In the base class, this method adds the builders of all child controls associated with the control to the specified object. This method is inherited from the class and is not applicable to the . In the overridden implementation in , the method always throws .

  Throws , because adding child control builders does not apply to the control.

  The object to add the child control builders to. 1.0.5000.0 2.0.0.0